/*       Javascript file           */

$(function(){
	/********--图片轮换*************/
	var top_width =$(".info_pic .list").find("ul li").width();
	var a=0;
	var time = 2000;
	var auto =true;
	var $li = $(".info_pic .list").find("ul li");
	//$li.eq(0).css("display","block");
	$li.css("left",-top_width);
	$li.eq(a).css("left","0");	
	var size =$li.size()-1;
	var index;
	auto_move(0,top_width,auto,time);
	function auto_move (value,width,auto,time){		
		//auto = true;
		if(auto){
			setInterval(function(){
				img_top_move(value,width);
			},time);
		}
	}
	function img_top_move(value,width,b){
		$(".info_pic .list ul li").css("display","block");
		if(!value){
			if(auto){
				if(a <size){
					$li.eq(a).stop().animate({left:-width},300);
					a++;
					$li.eq(a).css("left",width);
					$li.eq(a).stop().animate({left:0},300);
				}
				else if (a>=size){
					$li.eq(a).stop().animate({left:-width},300);
					a=0;
					$li.eq(a).css("left",width);
					$li.eq(a).stop().animate({left:0},300);
				}
			}
			else{
				$li.eq(a).stop().animate({left:-width},300);
				a = index;				
				//alert(a);
				if(b==1){
					$li.eq(a).css("left",width);
				}
				b++;
				$li.eq(a).stop().animate({left:0},560);	
			}
		}else{
			if(auto){
				if(a <=0){
					$li.eq(a).stop().animate({left:width},560);
					a=size;
					$li.eq(a).css("left",-width);
					$li.eq(a).stop().animate({left:0},560);
				}
				else if (a<=size){
					$li.eq(a).stop().animate({left:width},560);
					a--;
					$li.eq(a).css("left",-width);
					$li.eq(a).stop().animate({left:0},560);
				}
			}
			else{
				$li.eq(a).stop().animate({left:width},560);
				a = index;
				$li.eq(a).css("left",-width);
				$li.eq(a).stop().animate({left:0},560);		
			}
		}
		$(".info_pic .btn").find("ul li").removeClass("on");
		$(".info_pic .btn").find("ul li").eq(a).addClass("on");
	}
	$(".info_pic .btn").find("ul li").each(function(){
		$(this).hover(function(){
			index = $(this).index();			
			if(a!=index)
			{
				//alert(a);
				//alert(index)
				auto = false;
				//auto = true;
				if(a>index){
					img_top_move(1,top_width);
				}else{
					img_top_move(0,top_width,1);	
				}			
			}
		})
	});

	$(".info_pic .btn .pre").click(function(){
		auto = true;
		img_top_move(1,top_width)
	})
	$(".info_pic .btn .next").click(function(){
		auto = true;
		img_top_move(0,top_width)
	})
	
});

/*       Javascript file           */
$(function(){
	/********--图片轮换*************/
	var top_width =$(".info_pic2 .list2").find("ul li").width();
	var a=0;
	var time = 2000;
	var auto =true;
	var $li = $(".info_pic2 .list2").find("ul li");
	//$li.eq(0).css("display","block");
	$li.css("left",-top_width);
	$li.eq(a).css("left","0");	
	var size =$li.size()-1;
	var index;
	auto_move(0,top_width,auto,time);
	function auto_move (value,width,auto,time){		
		//auto = true;
		if(auto){
			setInterval(function(){
				img_top_move(value,width);
			},time);
		}
	}
	function img_top_move(value,width,b){
		$(".info_pic2 .list2 ul li").css("display","block");
		if(!value){
			if(auto){
				if(a <size){
					$li.eq(a).stop().animate({left:-width},300);
					a++;
					$li.eq(a).css("left",width);
					$li.eq(a).stop().animate({left:0},300);
				}
				else if (a>=size){
					$li.eq(a).stop().animate({left:-width},300);
					a=0;
					$li.eq(a).css("left",width);
					$li.eq(a).stop().animate({left:0},300);
				}
			}
			else{
				$li.eq(a).stop().animate({left:-width},300);
				a = index;				
				//alert(a);
				if(b==1){
					$li.eq(a).css("left",width);
				}
				b++;
				$li.eq(a).stop().animate({left:0},595);	
			}
		}else{
			if(auto){
				if(a <=0){
					$li.eq(a).stop().animate({left:width},595);
					a=size;
					$li.eq(a).css("left",-width);
					$li.eq(a).stop().animate({left:0},595);
				}
				else if (a<=size){
					$li.eq(a).stop().animate({left:width},595);
					a--;
					$li.eq(a).css("left",-width);
					$li.eq(a).stop().animate({left:0},595);
				}
			}
			else{
				$li.eq(a).stop().animate({left:width},595);
				a = index;
				$li.eq(a).css("left",-width);
				$li.eq(a).stop().animate({left:0},595);		
			}
		}
		$(".info_pic2 .btn2").find("ul li").removeClass("on");
		$(".info_pic2 .btn2").find("ul li").eq(a).addClass("on");
	}
	$(".info_pic2 .btn2").find("ul li").each(function(){
		$(this).hover(function(){
			index = $(this).index();			
			if(a!=index)
			{
				//alert(a);
				//alert(index)
				auto = false;
				//auto = true;
				if(a>index){
					img_top_move(1,top_width);
				}else{
					img_top_move(0,top_width,1);	
				}			
			}
		})
	});

	$(".info_pic2 .btn2 .pre2").click(function(){
		auto = true;
		img_top_move(1,top_width)
	})
	$(".info_pic2 .btn2 .next2").click(function(){
		auto = true;
		img_top_move(0,top_width)
	})
	
});